Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JToggleButton.ToggleButtonModel

    java.lang.Object
      |
      +--javax.swing.DefaultButtonModel
            |
            +--javax.swing.JToggleButton.ToggleButtonModel

public static class JToggleButton.ToggleButtonModel
extends DefaultButtonModel

The ToggleButton model

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Fields inherited from class javax.swing.DefaultButtonModel
`actionCommand, ARMED, changeEvent, ENABLED, group, listenerList, mnemonic, PRESSED, ROLLOVER, SELECTED, stateMask`

Constructor Summary
`JToggleButton.ToggleButtonModel()` Creates a new ToggleButton Model

Method Summary
`boolean` | `isSelected()` Checks if the button is selected.
`void` | `setPressed(boolean b)` Sets the pressed state of the toggle button.
`void` | `setSelected(boolean b)` Sets the selected state of the button.

Methods inherited from class javax.swing.DefaultButtonModel
`addActionListener, addChangeListener, addItemListener, fireActionPerformed, fireItemStateChanged, fireStateChanged, getActionCommand, getMnemonic, getSelectedObjects, isArmed, isEnabled, isPressed, isRollover, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setArmed, setEnabled, setGroup, setMnemonic, setRollover`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JToggleButton.ToggleButtonModel

    public JToggleButton.ToggleButtonModel()

  Creates a new ToggleButton Model

Method Detail

### isSelected

    public boolean isSelected()

  Checks if the button is selected.
  Overrides:
    isSelected in class DefaultButtonModel

### setSelected

    public void setSelected(boolean b)

  Sets the selected state of the button.
  Parameters:
    `b` - true selects the toggle button, false deselects the toggle button.
  Overrides:
    setSelected in class DefaultButtonModel

### setPressed

    public void setPressed(boolean b)

  Sets the pressed state of the toggle button.
  Overrides:
    setPressed in class DefaultButtonModel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.